org.eclipse.eef.core.api.controllers

## Interface IEEFHyperlinkController

All Superinterfaces:
  IEEFController, IEEFWidgetController

All Known Implementing Classes:
  EEFHyperlinkController

    public interface IEEFHyperlinkController
    extends IEEFWidgetController

The EEFHyperlinkController is responsible of supporting all the interactions with the widgets created for an EEFHyperlinkDescription.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.core.runtime.IStatus` `action(EEFWidgetAction action)` Invoked when the user clicks on an action button.
`java.lang.String` `computeDisplayValue(java.lang.Object value)` Compute the display value.
`org.eclipse.core.runtime.IStatus` `onClick(java.lang.Object element)` Invoked when the user clicks on an hyperlink.
`void` `onNewValue(IConsumer<java.lang.Object> consumer)` Register a consumer which will be called with the new value of the hyperlink when it will change.
`void` `removeNewValueConsumer()` Remove the consumer of the new value of the hyperlink.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Method Detail

#### onClick

    org.eclipse.core.runtime.IStatus onClick(java.lang.Object element)

Invoked when the user clicks on an hyperlink.

Parameters:
  `element` - Semantic element
Returns:
  the status of the onclick execution.

#### onNewValue

    void onNewValue(IConsumer<java.lang.Object> consumer)

Register a consumer which will be called with the new value of the hyperlink when it will change.

Parameters:
  `consumer` - The consumer of the new value of the hyperlink

#### removeNewValueConsumer

    void removeNewValueConsumer()

Remove the consumer of the new value of the hyperlink.

#### action

    org.eclipse.core.runtime.IStatus action(EEFWidgetAction action)

Invoked when the user clicks on an action button.

Parameters:
  `action` - Widget action
Returns:
  the status of the action execution

#### computeDisplayValue

    java.lang.String computeDisplayValue(java.lang.Object value)

Compute the display value.

Parameters:
  `value` - Element associated to the hyperlink
Returns:
  The display value